<?php
require '../vendor/autoload.php';
use Mike42\Escpos\PrintConnectors\WindowsPrintConnector;
use Mike42\Escpos\Printer;


$printerName = "smb://CABANITA:1234@MICABANITA2/BIXOLON-SRP-F312"; 
$connector = new WindowsPrintConnector($printerName);

// Crear la impresora
$printer = new Printer($connector);

for ($i=0; $i < 3; $i++) { 
    // Configurar estilos de texto
    $printer->setJustification(Printer::JUSTIFY_CENTER);
 
    $printer->setEmphasis(true);
    $printer->setTextSize(2, 2);
    $printer->text("PLATO FUERTE\n");
    $printer->setEmphasis(false);
    $printer->setTextSize(1, 1);


    $printer->setJustification(Printer::JUSTIFY_LEFT);
    $printer->text("------------------------------------------");
    $printer->text("10/05/2023        NOTA: NV00049    \n");
    $printer->text("20:42:30    \n");
    $printer->text("Tipo Venta: Venta en piso  M: 3     \n");
    $printer->text("MESERO: JOSE ROBERTO   \n");
    
    $printer->text("------------------------------------------");
    $printer->text("Cant     Descripcion  \n");
    $printer->text("2 Enchiladas    \n");
    $printer->text("Comensal: Sudadera verde    \n");
    $printer->text("Con poco chile    \n");
    $printer->text("Con poco chile    \n");
    $printer->text("           T3   \n");

    $printer->text("1 Chilaquiles verdes     \n");
    $printer->text("Comensal: Sudadera verde    \n");
    $printer->text("Con poco chile    \n");
    $printer->text("Con poco chile    \n");
    $printer->text("           T2   \n");
    
    $printer->text("3 Mole verde     \n");
    $printer->text("Comensal: Gorro Rojo    \n");
    $printer->text("Con poco chile    \n");
    $printer->text("Con poco chile    \n");
    $printer->text("           T1   \n");

    // Cortar el papel
    $printer->cut();

    // Enviar un pulso de apertura del cajón de efectivo
    $printer->pulse();

    // Esperar un segundo para que la impresora procese la orden
    sleep(1);

}


// Cerrar la impresora
$printer->close();
?>